KDE 4.7 PyKDE API Reference

- KDE's Python API

# KRecentDirs Namespace Reference

`from PyKDE4.kio.KRecentDirs import *`

## Detailed Description

The goal of this namespace is to make sure that, when the user needs to specify a file via the file selection dialog, this dialog will start in the directory most likely to contain the desired files.

This works as follows: Each time the file selection dialog is shown, the programmer can specify a "file-class". The file-dialog will then start with the directory associated with this file-class. When the dialog closes, the directory currently shown in the file-dialog will be associated with the file-class.

A file-class can either start with ':' or with '.'. If it starts with a single ':' the file-class is specific to the current application. If the file-class starts with '.' it is global to all applications.

Since:
  4.6

## Functions
| add (QString fileClass, QString directory)
QString | dir (QString fileClass)
QStringList | list (QString fileClass)

## Function Documentation

add | ( | QString | fileClass,
|  | QString | directory
| ) |  |  |

Associates directory with fileClass

Since:
  4.6

QString dir | ( | QString | fileClass
| ) |  |  |

Returns the most recently used directory accociated with this file-class.

Since:
  4.6

QStringList list | ( | QString | fileClass
| ) |  |  |

Returns a list of directories associated with this file-class. The most recently used directory is at the front of the list.

Since:
  4.6